body:has(.our-services-list-section) {
    overflow-x: clip;
}

.our-services-list-section{
    display: grid;
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    padding: 140px 100px;
    gap: 16px;
    position: relative;
    align-items: stretch;
    grid-template-columns: repeat(12, 1fr);
    background: linear-gradient(180deg, #010C25 43.72%, #011647 100%), linear-gradient(180deg, #011648 0%, #010C25 100%);
}

.our-services-list-section .our-services-title-block{
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: start;
    grid-column: span 4;
    padding-inline-end: 100px;
    position: sticky;
    align-self: start;
    top: 140px;
}

.our-services-list-section .our-services-title-block .main-h2{
    color: var(--n-white);
}

.our-services-list-section .our-services-title-block .subtitle-semibold{
    color: var(--d-grey);
}

.our-services-list-section .our-services-title-block p,
.our-services-list-section .our-services-title-block h2{
    text-align: start;
}

.our-services-list-section .our-services-list-container{
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: stretch;
    grid-column: 5 / -1;
}

.our-services-list-section .our-services-list-items{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 20px;
}

.our-services-list-section .our-services-item,
.our-services-list-section .our-services-item:visited{
    display: flex;
    gap: 80px;
    align-items: center;
    border-radius: 20px;
    background: linear-gradient(0deg, rgba(37, 95, 232, 0.08) 0%, rgba(49, 105, 233, 0.20) 100%);
    padding: 12px;
    height: auto;
    border: 1px solid;
    border-color: rgba(157, 199, 255, 0.10);
    flex-direction: row-reverse;
    transition: 0.2s;
    box-sizing: border-box;
}

.our-services-list-section .our-services-item-info{
    display: flex;
    flex: 1;
    align-items: start;
    gap: 16px;
    flex-direction: column;
    padding: 16px 20px;
}

.our-services-list-section .our-services-item-info svg{
    display: none;
}

.our-services-list-section .swiper-main-container{
    display: none;
}

.our-services-list-section .our-services-item-info .main-h4{
    color: var(--n-white);
}

.our-services-list-section .our-services-item-info .main-text-medium{
    color: var(--d-light-grey);
}

.our-services-list-section .our-services-item-video{
    flex-shrink: 0;
    height: auto;
    width: 450px;
    aspect-ratio: 3 / 2;
    border-radius: 12px;
    overflow: hidden;
    object-fit: cover;
    object-position: center;
}

.our-services-list-section .swiper__pagination-container{
    line-height: 8px;
    text-align: center;
}

.our-services-list-section .swiper-pagination-bullet{
    opacity: 1;
    background-color: var(--n-grey-60);
}

.our-services-list-section .swiper-pagination-bullet-active{
    opacity: 1;
    background-color: var(--bright-blue);
}

@media (hover:hover){
    .our-services-list-section .our-services-item:hover{
        border-color: rgba(157, 199, 255, 0.20);
        background: linear-gradient(0deg, rgba(37, 95, 232, 0.16) 0%, rgba(49, 105, 233, 0.40) 100%);
    }
}

@media screen and (max-width: 1919px) {
    .our-services-list-section{
        padding: 100px 80px;
    }

    .our-services-list-section .our-services-title-block{
        padding-inline-end: 40px;
        top: 100px;
    }

    .our-services-list-section .our-services-item,
    .our-services-list-section .our-services-item:visited{
        gap: 10px;
    }

    .our-services-list-section .our-services-item-video{
        width: 360px;
    }
}

@media screen and (max-width: 1439px) {
    .our-services-list-section{
        padding: 80px 60px;
    }

    .our-services-list-section .our-services-title-block{
        gap: 20px;
        padding-inline-end: 20px;
        top: 80px;
    }

    .our-services-list-section .our-services-item,
    .our-services-list-section .our-services-item:visited{
        border-radius: 16px;
    }

    .our-services-list-section .our-services-item-info{
        padding: 10px 12px;
    }

    .our-services-list-section .our-services-item-video{
        width: 300px;
    }
}

@media screen and (max-width: 1279px) {
    .our-services-list-section{
        display: flex;
        flex-direction: column;
        gap: 48px;
        align-items: center;
    }

    .our-services-list-section .our-services-title-block{
        gap: 12px;
        grid-column: span 4;
        padding-inline-end: 0px;
        top: 0;
        align-items: center;
        position: static;
        align-self: center;
    }

    .our-services-list-section .our-services-title-block p,
    .our-services-list-section .our-services-title-block h2{
        text-align: center;
    }
}

@media screen and (max-width: 1079px) {
    .our-services-list-section{
        padding: 80px 40px;
    }

    .our-services-list-section .our-services-list-items{
        gap: 12px;
    }

    .our-services-list-section .our-services-item,
    .our-services-list-section .our-services-item:visited{
        gap: 32px;
        padding: 12px;
        padding-inline-start: 24px;
        align-items: stretch;
    }

    .our-services-list-section .our-services-item-info svg{
        display: block;
    }

    .our-services-list-section .our-services-item-info{
        padding: 20px 0px 12px;
    }

    .our-services-list-section .our-services-item-info .main-text-medium{
        flex: 1;
    }

    .our-services-list-section .our-services-item-video{
        width: 300px;
        height: 220px;
        aspect-ratio: unset;
    }
}

@media screen and (max-width: 577px) {
    .our-services-list-section{
        padding: 60px 16px 80px;
        gap: 32px;
    }

    .our-services-list-section .our-services-list-items{
        gap: 0;
        flex-direction: row;
    }

    .our-services-list-section .our-services-item,
    .our-services-list-section .our-services-item:visited{
        gap: 20px;
        padding: 10px 10px 16px 10px !important;
        flex-direction: column;
        height: auto;
        flex-shrink: 0;
        flex-basis: auto;
        box-sizing: border-box;
    }

    .our-services-list-section .our-services-item-info{
        padding: 0px 8px;
    }

    .our-services-list-section .our-services-item-video{
        width: 100%;
        height: auto;
        aspect-ratio: 323 / 237;
    }

    .our-services-list-section .our-services-title-block{
        margin-bottom: 8px;
    }

    .our-services-list-section .swiper-main-container{
        display: block;
    }

    .our-services-list-section .our-services-list-container{
        width: 100%;
    }
}
